For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • v2 Migration
    • Webflow v1 API Deprecation Notice
    • Migrating to v2
  • Meta
    • GETAuthorized User
    • GETAuthorized Info
  • Sites
      • GETList Webhooks
      • POSTCreate Webhook
      • GETGet Webhook
      • DELRemove Webhook
  • CMS
  • Ecommerce
LogoLogo
Resources
Get started
SitesWebhooks

Remove Webhook

DELETE
https://api.webflow.com/sites/:site_id/webhooks/:webhook_id
DELETE
/sites/:site_id/webhooks/:webhook_id
$curl -X DELETE https://api.webflow.com/sites/580e63e98c9a982ac9b8b741/webhooks/580e64008c9a982ac9b8b754 \
> -H "Accept-Version: 1.0.0" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "deleted": 1
3}
Remove a webhook
Was this page helpful?
Previous

Collection Item Created

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "uuid"
Unique identifier for a Site
webhook_idstringRequiredformat: "uuid"
Unique identifier for a Webhook

Headers

Accept-VersionstringOptional
The API version

Response

Request was successful
deleteddouble
Number of records deleted

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error